org.apache.sling.nosql.generic.resource.impl

## Class PathUtil

- java.lang.Object
- - org.apache.sling.nosql.generic.resource.impl.PathUtil

    public final class PathUtil
    extends Object

Helper functions for handling paths.

### Method Summary

All Methods Static Methods Concrete Methods
`static Pattern` `getChildPathPattern(String parentPath)` Generated a regex pattern that accepts all paths that are direct children of the given parent path.
`static Pattern` `getSameOrDescendantPathPattern(String path)` Generated a regex pattern that accepts all paths that are same or descendants of the given parent path.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getChildPathPattern

    public static Pattern getChildPathPattern(String parentPath)

Generated a regex pattern that accepts all paths that are direct children of the given parent path.

Parameters:
  `parentPath` - Parent path
Returns:
  Regex pattern

#### getSameOrDescendantPathPattern

    public static Pattern getSameOrDescendantPathPattern(String path)

Generated a regex pattern that accepts all paths that are same or descendants of the given parent path.

Parameters:
  `path` - Path
Returns:
  Regex pattern